# studio::LayerGroupTreeStore::Model Class Reference

`#include <layergrouptreestore.h>`

List of all members.

## Public Member Functions

| Model ()

## Public Attributes

Gtk::TreeModelColumn < Glib::RefPtr< Gdk::Pixbuf > > | icon
Gtk::TreeModelColumn < Glib::ustring > | label
Gtk::TreeModelColumn < Glib::ustring > | tooltip
Gtk::TreeModelColumn < Glib::ustring > | group_name
Gtk::TreeModelColumn < Glib::ustring > | parent_group_name
Gtk::TreeModelColumn < synfig::Canvas::Handle > | canvas
Gtk::TreeModelColumn< bool > | active
Gtk::TreeModelColumn< bool > | is_layer
Gtk::TreeModelColumn< bool > | is_group
Gtk::TreeModelColumn < synfig::Layer::Handle > | layer
Gtk::TreeModelColumn< LayerList > | all_layers
Gtk::TreeModelColumn< LayerList > | child_layers

## Constructor & Destructor Documentation

studio::LayerGroupTreeStore::Model::Model | ( |  | ) | `[inline]`

References active, all_layers, canvas, child_layers, group_name, icon, is_group, is_layer, label, layer, parent_group_name, and tooltip.

## Member Data Documentation

Gtk::TreeModelColumn<Glib::RefPtr<Gdk::Pixbuf> > studio::LayerGroupTreeStore::Model::icon

Referenced by studio::LayerGroupTree::LayerGroupTree(), and Model().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerGroupTreeStore::Model::label

Referenced by studio::LayerGroupTree::LayerGroupTree(), Model(), and studio::LayerGroupTreeStore::search_func().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerGroupTreeStore::Model::tooltip

Referenced by Model().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerGroupTreeStore::Model::group_name

Referenced by __group_grabber(), Model(), and studio::LayerGroupTreeStore::on_group_added().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerGroupTreeStore::Model::parent_group_name

Referenced by Model().

Gtk::TreeModelColumn<synfig::Canvas::Handle> studio::LayerGroupTreeStore::Model::canvas

Referenced by Model().

Gtk::TreeModelColumn<bool> studio::LayerGroupTreeStore::Model::active

Referenced by studio::LayerGroupTree::LayerGroupTree(), and Model().

Gtk::TreeModelColumn<bool> studio::LayerGroupTreeStore::Model::is_layer

Referenced by __layer_grabber(), Model(), studio::LayerGroupTreeStore::on_group_added(), studio::LayerGroupTreeStore::refresh_row(), and studio::LayerGroupTreeStore::set_row_layer().

Gtk::TreeModelColumn<bool> studio::LayerGroupTreeStore::Model::is_group

Referenced by __group_grabber(), Model(), studio::LayerGroupTreeStore::on_group_added(), and studio::LayerGroupTreeStore::set_row_layer().

Gtk::TreeModelColumn<synfig::Layer::Handle> studio::LayerGroupTreeStore::Model::layer

Referenced by __layer_grabber(), Model(), studio::LayerGroupTreeStore::refresh_row(), and studio::LayerGroupTreeStore::set_row_layer().

Gtk::TreeModelColumn<LayerList> studio::LayerGroupTreeStore::Model::all_layers

Referenced by Model().

Gtk::TreeModelColumn<LayerList> studio::LayerGroupTreeStore::Model::child_layers

Referenced by Model().

The documentation for this class was generated from the following file:

- layergrouptreestore.h